@import '../../styles/variables.scss';

.parallax {
  position: relative;

  width: 100%;
  max-width: 100%;
  min-height: 460px;
  display: flex;
  align-items: center;
  justify-content: center;

  background-size: cover;
  background-position: center;

  &.__membrane {
    &:before {
      content: '';

      @include base-absolute;
      background-color: rgba(0, 0, 0, 0.3);
    }
  }

  &_buttons {
    @include reset-list;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    & li {
      margin-bottom: 12px;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  &_info {
    position: relative;
    z-index: 2;

    padding: 0 20px;
    box-sizing: border-box;

    max-width: 760px;

    text-align: center;

    &__text {
      margin: 24px 0 48px;
    }
  }
}

@media (min-width: $breakpoint-2) {
  .parallax {
    max-height: 700px;

    background-size: cover;
    background-position: 50%;
    background-attachment: fixed;

    &_buttons {
      flex-direction: row;

      & li {
        margin: 0 6px;
      }
    }

    &_info {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate3d(-50%, -50%, 0);

      &__text {
        margin: 24px 0 48px;
      }
    }
  }
}
